PHP Manual
Prev |  | Next

# SAMConnection->remove()

(no version information, might be only in CVS)

SAMConnection->remove() -- Remove a message from a queue.

## Description

class SAMConnection {
SAMMessage remove ( string target [, array properties] )
}

Removes a message from a queue.

## Parameters

`target`

  The identity of the queue from which to remove the message.

`properties`

  An optional associative array of properties describing other parameters to control the remove operation.

  Property name | Possible values
  --- | ---
  SAM_CORRELID | This is the target correlation id string of the message. This would typically have been returned by a "send" request.
  SAM_MESSAGEID | This is the message id string of the message which is to be removed.

## Return Values

This method returns `FALSE` if an error occurs.

## Examples

Example 1. Removing a message from a queue by message id

`<?php if (!$conn->remove('queue://receive/test', array(SAM_MESSAGEID => $messageId))) { // The remove failed! echo "Remove failed ($conn->errno) $conn->error"; } ?>`

Prev | Home | Next
SAMConnection->receive() | Up | SAMConnection->rollback()